api version details return 302 Found

Bug #1742336 reported by junboli on 2018-01-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Shared File Systems Service (Manila)
Undecided
junboli

Bug Description

[root@node1 ~]# curl -i -X GET https://192.168.13.30:8786/v2 -H "X-Openstack-Manila-Api-Version: 2.40" -H "X-Auth-Token: gAAAAABaVWuLC9D40KkjC0bhvoS_NA9ys3Ty07Y7rz6DzTsrjUg6CDdlEZ6g6IUR97Ik8k0t8YSMIsybb-VtsUEQMVe93GvLiwODEiotJgiJ715cEqwqvHPCCaOdLPbKSVMh9e8mO1gMBWKqms74XA46sbwdXU7WOBup9RNgswAGRRy-Fu928Vc" -H "Accept: application/json" -H "User-Agent: python-manilaclient" --insecure
HTTP/1.1 302 Found
Content-Type: text/plain; charset=utf8
Location: https://192.168.13.30:8786/v2/
Content-Length: 0
Date: Wed, 10 Jan 2018 01:35:54 GMT

This should return 200 OK, rather than 302 Found, for example:

HTTP/1.1 200 OK
X-Compute-Request-Id: req-6e54b49b-a1a9-4ee8-b41f-54c32630a6be
Content-Type: application/json
Content-Length: 385
X-Openstack-Manila-Api-Version: 2.40
Vary: X-OpenStack-Manila-API-Version
Date: Wed, 10 Jan 2018 01:38:12 GMT

{"versions": [{"status": "CURRENT", "updated": "2015-08-27T11:33:21Z", "links": [{"href": "http://docs.openstack.org/", "type": "text/html", "rel": "describedby"}, {"href": "https://192.168.13.30:8786/v2/", "rel": "self"}], "min_version": "2.0", "version": "2.40", "media-types": [{"base": "application/json", "type": "application/vnd.openstack.share+json;version=1"}], "id": "v2.0"}]}

junboli (junboli) on 2018-01-10
Changed in manila:
assignee: nobody → junboli (junboli)
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to manila (master)

Fix proposed to branch: master
Review: https://review.openstack.org/532379

Changed in manila:
status: New → In Progress
Changed in manila:
milestone: none → queens-rc1
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to manila (master)

Reviewed: https://review.openstack.org/532379
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=cfd4dd00d19e9f46c31f399a4d97ec6f5c0c72df
Submitter: Zuul
Branch: master

commit cfd4dd00d19e9f46c31f399a4d97ec6f5c0c72df
Author: lijunbo <email address hidden>
Date: Wed Jan 10 10:04:22 2018 +0800

    Fix version details API does not return 200 OK

    When use version details api http://ip:8786/v2 to get api details,
    it does not return 200 OK, and the return value is empty.

    This change is to correct the version details API URL.

    Change-Id: I1cde2a35dc84ccaac15d6963f453fd793c54fda4
    Closes-Bug: #1742336

Changed in manila:
status: In Progress → Fix Released
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/manila 6.0.0.0rc1

This issue was fixed in the openstack/manila 6.0.0.0rc1 release candidate.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers